javax.smartcardio

## Class CardException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.smartcardio.CardException

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    CardNotPresentException

      public class CardException
      extends java.lang.Exception

  Exception for errors that occur during communication with the Smart Card stack or the card itself.
  Since:
    1.6
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CardException(java.lang.String message)` Constructs a new CardException with the specified detail message.
    `CardException(java.lang.String message, java.lang.Throwable cause)` Constructs a new CardException with the specified detail message and cause.
    `CardException(java.lang.Throwable cause)` Constructs a new CardException with the specified cause and a detail message of `(cause==null ? null : cause.toString())`.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CardException

          public CardException(java.lang.String message)

      Constructs a new CardException with the specified detail message.
      Parameters:
        `message` - the detail message

    - #### CardException

          public CardException(java.lang.Throwable cause)

      Constructs a new CardException with the specified cause and a detail message of `(cause==null ? null : cause.toString())`.
      Parameters:
        `cause` - the cause of this exception or null

    - #### CardException

          public CardException(java.lang.String message,
                               java.lang.Throwable cause)

      Constructs a new CardException with the specified detail message and cause.
      Parameters:
        `message` - the detail message
        `cause` - the cause of this exception or null